## vdsm 4.17.11

=== debian/changelog ===
vdsm (4.17.11-1) unstable; urgency=low

  * vdsm-gluster not available since glusterfs >= 3.7.1 is required while
    3.5.2 is latest version in Debian Jessie.

 -- Sandro Bonazzola <sbonazzo@redhat.com>  Thu, 26 Nov 2015 12:45:55 +0100

vdsm (4.17.4-1) unstable; urgency=low

  * vdsm 4.17.4 release on Debian Jessie

 -- Simone Tiraboschi <stirabos@redhat.com>  Fri, 04 Sep 2015 12:00:00 +0200
