=== debian/control ===
--- 
+++ 
@@ -28,6 +28,7 @@
  python-pthreading (>=0.1.2),
  python-rpm,
  python-selinux,
+ python-six,
  sudo (>= 1.7.3),
  python-simplejson (>= 2.0.9),
  python-ioprocess (>= 0.14)
@@ -72,7 +73,6 @@
  libsanlock-dev (>= 2.8),
  libvirt-bin (>= 1.2.9),
  libvirt0 (>= 1.2.9),
- linux-image,
  logrotate,
  lvm2 (>= 2.02.95),
  multipath-tools (>= 0.4.9),
@@ -116,17 +116,6 @@
  networks as well as virtual machine creation, other host administration
  tasks, statistics gathering, and log collection.
 
-Package: vdsm-gluster
-Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- glusterfs-common (>= 3.4.1),
- glusterfs-server,
- python (>=2.7.3),
- python-magic,
- vdsm (>= ${source:Version})
-Description: Gluster Plugin for VDSM
- Gluster plugin enables VDSM to serve Gluster functionalities.
-
 Package: vdsm-tests
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version}), python-nose
@@ -188,6 +177,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
 Description: Generate random statistics for vms running on the host. The hook
  intercepts statistics returned on getAllVmStats.
+ To enable this hook on your host, set vars.fake_vmstats_enable=true in your
+ /etc/vdsm/vdsm.conf.
 
 Package: vdsm-hook-fileinject
 Architecture: all
@@ -339,3 +330,9 @@
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
 Description: Bind a vNIC to a Bridge
+ VDSM hooks which allow to bind a vNIC to a Bridge, managed or not by engine.
+
+Package: vdsm-hook-spiceoptions
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
+Description: To configure spice options for vm
